<html>

<head>
<title>libogg - function - oggpack_reset</title>
<link rel=stylesheet href="style.css" type="text/css">
</head>

<body bgcolor=white text=black link="#5555ff" alink="#5555ff" vlink="#5555ff">
<table border=0 width=100%>
<tr>
<td><p class=tiny>libogg documentation</p></td>
<td align=right><p class=tiny>libogg release 1.0 - 20000615</p></td>
</tr>
</table>

<h1>oggpack_writeclear</h1>

<p><i>declared in "ogg/ogg.h";</i></p>

<p>This function clears the buffer after writing and frees the memory used by the oggpack_buffer.

<br><br>
<table border=0 color=black cellspacing=0 cellpadding=7>
<tr bgcolor=#cccccc>
	<td>
<pre><b>
void oggpack_writeclear(oggpack_buffer *b);
</b></pre>
	</td>
</tr>
</table>

<h3>Parameters</h3>
<dl>
<dt><i>b</i></dt>
<dd>Our oggpack_buffer.  This is an ordinary data buffer with some extra markers to ease bit navigation and manipulation.</dd>
</dl>


<h3>Return Values</h3>
<blockquote>
<li>
No values are returned.</li>
</blockquote>
<p>

<br><br>
<hr noshade>
<table border=0 width=100%>
<tr valign=top>
<td><p class=tiny>copyright &copy; 2000 xiph.org</p></td>
<td align=right><p class=tiny><a href="http://www.xiph.org/ogg/">Ogg Container Format</a></p></td>
</tr><tr>
<td><p class=tiny>libogg documentation</p></td>
<td align=right><p class=tiny>libogg release 1.0 - 20000615</p></td>
</tr>
</table>


</body>

</html>
